clear all; clc;
%% VSTUPY UZIVATELE
fs=input('Zadej vzorkovaci frekvenci : ');
formatSpec = 'vzorkovaci frekvence je %2.0f \n';
fprintf(formatSpec,fs)

%% VSTUPY
T=0.7; %[s] predpokladana RT
pocetvzorku=fs*T;
%% GENEROVANI MATIC S PRUBEHY
path=input('Zadej umisteni slozky se soubory(WAV) : ')
files = dir(path);
for fileIndex=length(files):-1:4 % tady davam 3, protoze to zapisuje navic 2 prazdne vektory(MAC OSX) - treba vyzkou?et a upravit podle OS
    if (~isempty(strfind(files(fileIndex).name,'wav')))
            [x] = audioread(fullfile(path,files(fileIndex).name));
            y=resample(x,1,10)
            SOUBORY(fileIndex-3,:)=y(1:pocetvzorku/10,1)
        end  
end
%% FILTROVANI
%Copyright (c) 1997, Christophe COUVREUR
%All rights reserved.
%filtr pouzit z vytvorene prace
%stazeno z: http://www.mathworks.com/matlabcentral/fileexchange/69-octave

%definovani strednich frekvenci tretinooktavovych pasem
N = 3;%typ filtru
Fc=[25 31 40 50 62 80 100 125 160 200 250 315 400 500 630 800 1000 1250 1600 2000 2500 3150 4000 5000 6400 8000 10000 12000 16000 20015],
  i_up = 13; % [400 Hz]
  i_low = 7;% [100 Hz]
  for k=1:length(SOUBORY(:,1))
    for i = i_up:-1:i_low
        [B,A] = tretinofiltr(Fc(i),fs/10,N);
        y = filter(B,A,SOUBORY(k,:));
        eval(sprintf('PRUBEHY_%dHz(k,:) = y', Fc(1,i)))
    end
  end


